#include <bits/stdc++.h>
using namespace std;
string palindrom(string t){
    string p=t;
    reverse(p.begin(),p.end());
    if(t==p){
        return 1;
    }
    else{
        return 0;
    }
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string t;
    if(palindrom(t)==1){
        cout<<1<<endl;
    }
    return 0;
}